<!doctype html>
<html lang="en">
<head>
    <title>Get Vim Ready for Go Programming</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
  <link rel="shortcut icon" href="/assets/img/logo.png" type="image/png">
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- link rel="shortcut icon" href="/assets/img/logo.png" type="image/png"-->
  <link rel="stylesheet" href="/assets/styles.css">
</head>
<body>
<header class=nav-bar>
  <nav>
    <div class=sidebar-button></div>
    <!--div id=bwtoggle></div-->
    <a class="homelink spy" href="/">r<span class=hideable>wx.gg</span></a>
    <div class="nav-right">
      <!-- div id=search-box></div -->
      <ul class=nav-links>
        <li class=nav-item><a class=nav-link href="/boost/">Boosts</a></li>
        <!--
        <li class=nav-item><a class=nav-link href="/how/">HowTos</a></li>
        <li class=nav-item><a class=nav-link href="/contrib/">Contribute</a></li>
        -->
        <li class=nav-item><a class="nav-link" href="https://gitlab.com/rwx.gg/README">GitLab</a></li>
        <li class=nav-item><a class="nav-link" href="https://www.youtube.com/rwxrob">YouTube</a></li>
        <li class=nav-item><a class="nav-link" href="https://discord.gg/9wydZXY">Discord</a></li>
        <li class=nav-item><a class="nav-link" href="https://twitch.tv/rwxrob">Twitch</a></li>
      </ul>
    </div>
  </nav>
</header>
<main id=top>
<div class=container>  <h1 id=title class=duck><a href="https://duckduckgo.com/lite?kae=t&q=Get Vim Ready for Go Programming">Get Vim Ready for Go Programming</a></h1>
  <p>The <a href="https://github.com/fatih/vim-go"><code>fatih/vim-go</code></a> plugin is pretty standard albeit annoying at times. Don’t forget to Install all the <code>vim-go</code> dependencies with <code>:GoInstallBinaries</code> from within a Vim session if you choose to use the following:</p>
  <pre class="vim"><code>&quot; Install the Plug plugin manager if not detected.
  if empty(glob(&#39;~/.vim/autoload/plug.vim&#39;))
    silent !curl -fLo ~/.vim/autoload/plug.vim --create-dirs
      \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
    autocmd VimEnter * PlugInstall
  endif

  &quot; If Plug plugin manager detected then load the plugins and configure
  if filereadable(expand(&quot;~/.vim/autoload/plug.vim&quot;))
    call plug#begin(&#39;~/.vimplugins&#39;)
    &quot; ... other plugins here
    Plug &#39;fatih/vim-go&#39;
    call plug#end()
    let g:go_fmt_fail_silently = 0     &quot; let me out even with errors
    let g:go_fmt_command = &#39;goimports&#39; &quot; autoupdate import
    let g:go_fmt_autosave = 1          &quot; autosave on updates

  &quot; Otherwise fallback to some safe backups
  else
    autocmd vimleavepre *.go !gofmt -w % &quot; backup if fatih fails
  endif
  </code></pre>
</main>
<footer>
  <p><a href="/copyright/" id=copyright>© 2020 Rob Muhlestein. Licensed under Creative Commons Attribution-ShareAlike.</a><br/>Does something seem to have changed? <a href="/changes/">Check the change log</a>.
  <br>See something wrong? <a class="nodecor" href="https://gitlab.com/rwx.gg/README/-/issues">Open a ticket</a>.
  </p>
</footer>
<script src="/assets/main.js"></script>
</body>
</html>